1. Payments
Public API
  • Get Started
  • Payments
    • Create payment
      POST
    • List payments
      GET
    • Get payment by ID
      GET
  • Webhooks
    • Integration Guide
    • Webhook Definitions
      • Payment Created
      • Payment Completed
      • Payment Expired
  1. Payments

Get payment by ID

GET
/payments/{payment_id}
Returns payment details by UID

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Successful response
Body

🟠401UnauthorizedError
🟠404NotFoundError
🟠429TooManyRequests
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://public-api.woldy.xyz/v1/payments/' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Completed payment
{
    "id": "p_AbCdEf123456",
    "external_id": "order_12345",
    "status": "COMPLETED",
    "source": "PAYMENT_LINK",
    "amount": {
        "name": "USD Coin",
        "symbol": "USDC",
        "decimals": 6,
        "value": "49.990000"
    },
    "unexpected": false,
    "message": "Payment for order",
    "payment_url": "https://gateway.woldy.xyz/p/p_AbCdEf123456",
    "return_url": "https://example.com/success",
    "expires_at": "2026-01-20T12:00:00Z",
    "completed_at": "2026-01-17T10:30:00Z",
    "created_at": "2026-01-17T10:00:00Z"
}
Modified at 2026-02-05 06:20:45
Previous
List payments
Next
Integration Guide
Built with